org.apache.ignite.internal

## Class GridCachePluginContext<C extends CachePluginConfiguration>

- java.lang.Object
- - org.apache.ignite.internal.GridCachePluginContext<C>

All Implemented Interfaces:
  CachePluginContext<C>

    public class GridCachePluginContext<C extends CachePluginConfiguration>
    extends Object
    implements CachePluginContext<C>

Cache plugin context.

### Constructor Summary

Constructors
Constructor and Description
`GridCachePluginContext(GridKernalContext ctx, CacheConfiguration igniteCacheCfg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Ignite` `grid()`
`CacheConfiguration` `igniteCacheConfiguration()`
`IgniteConfiguration` `igniteConfiguration()`
`ClusterNode` `localNode()` Gets local grid node.
`IgniteLogger` `log(Class<?> cls)` Gets logger for given class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCachePluginContext

    public GridCachePluginContext(GridKernalContext ctx,
                                  CacheConfiguration igniteCacheCfg)

Parameters:
  `ctx` - Kernal context.
  `igniteCacheCfg` - Ignite config.

### Method Detail

#### igniteConfiguration

    public IgniteConfiguration igniteConfiguration()

Specified by:
  `igniteConfiguration` in interface `CachePluginContext<C extends CachePluginConfiguration>`
Returns:
  Ignite configuration.

#### igniteCacheConfiguration

    public CacheConfiguration igniteCacheConfiguration()

Specified by:
  `igniteCacheConfiguration` in interface `CachePluginContext<C extends CachePluginConfiguration>`
Returns:
  Ignite cache configuration.

#### grid

    public Ignite grid()

Specified by:
  `grid` in interface `CachePluginContext<C extends CachePluginConfiguration>`
Returns:
  Grid.

#### localNode

    public ClusterNode localNode()

Gets local grid node. Instance of local node is provided by underlying `DiscoverySpi` implementation used.

Specified by:
  `localNode` in interface `CachePluginContext<C extends CachePluginConfiguration>`
Returns:
  Local grid node.
See Also:
  `DiscoverySpi`

#### log

    public IgniteLogger log(Class<?> cls)

Gets logger for given class.

Specified by:
  `log` in interface `CachePluginContext<C extends CachePluginConfiguration>`
Parameters:
  `cls` - Class to get logger for.
Returns:
  Logger.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020